--- title: "Register callback endpoint (re-stream)" slug: "media-livestation-event-callbacksetting-restream" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-event-callbacksetting-restream" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Register callback endpoint (re-stream) Available in Classic and VPC Register callback endpoint that will receive event notifications for a re-stream channel. Note For information on callback delivery data and delivery actions, see [Register callback endpoint](/docs/en/media-livestation-event-callbacksetting). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/re-stream/channels/{channelId}/callbackEndpoint | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-re-stream-channellist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `callbackEndpoint` | String | Required | Callback endpoint URL | ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/re-stream/channels/ls-20250826******-172v4/callbackEndpoint' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data '{ "callbackEndpoint": "https://www.callback-endpoint.com" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Channel information | | `content.channelId` | String | - | Channel ID | | `content.channelName` | String | - | Channel name | | `content.instanceNo` | Integer | - | Channel instance number | | `content.channelStatus` | String | - | Channel status - `CREATING` \| `READY` \| `PUBLISHING` \| `DELETED` \| `BLOCK` \| `FORCE_BLOCK` \| `FORCE_DELETED` - `CREATING`: Creating - `READY`: Ready - `PUBLISHING`: Streaming - `DELETED`: Terminated - `BLOCK`: Stopped - `FORCE_BLOCK`: Force stopped - `FORCE_DELETED`: Unavailable | | `content.streamKey` | String | - | Stream key | | `content.publishUrl` | String | - | Default transmission URL | | `content.globalPublishUrl` | String | - | Overseas streaming URL | | `content.planType` | String | - | Pricing plan type - `STANDARD` \| `PROFESSIONAL` - `STANDARD`: Re-stream up to 3 platforms. - `PROFESSIONAL`: Re-stream up to 5 platforms. | | `content.createdTime` | Integer | - | Channel creation date and time (millisecond) - Unix timestamp format | | `content.restream` | Array | - | Re-stream platform information: [restream](/docs/en/media-livestation-event-callbacksetting-restream#restream) | | `content.platformCount` | Integer | - | Re-stream platform count | | `content.totalPublishSeconds` | Integer | - | Channel usage time (second) | | `content.alertOn` | Boolean | - | Event notification settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.isPublishing` | Boolean | - | Streaming status - `true` \| `false` - `true`: Streaming - `false`: Not streaming | | `content.alertOptions` | Object | - | Set event notifications. | | `content.alertOptions.alertChangeStatus` | Boolean | - | Re-stream channel status change notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertOptions.alertVodUploadFail` | Boolean | - | Recording file upload failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertOptions.alertReStreamFail` | Boolean | - | Re-stream relay failure notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.alertOptions.reStreamFailThreshold` | Integer | - | Notification occurrence condition (base count) - Not displayed before initial notification settings | | `content.alertOptions.alertStreamFailOver` | Boolean | - | Main stream switch notification application - `true` \| `false` - `true`: Apply - `false`: Not apply | | `content.callbackEndpoint` | String | - | Callback endpoint URL | | `content.envType` | String | - | Channel type - `REAL` \| `DEV` \| `STAGE` | #### `restream` The following describes `restream`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | RTMP authentication ID - Displayed when setting up authentication information | | `rtmpUrl` | String | - | Re-stream platform RTMP URL | | `streamKey` | String | - | Re-stream platform stream key | | `password` | String | - | RTMP authentication password - Displayed when setting up authentication information - Mask strings except for the first character. | | `targetName` | String | - | Re-stream platform name | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250826******-172v4", "channelName": "nat", "instanceNo": 10*****75, "channelStatus": "READY", "streamKey": "tkhimahll***********************", "publishUrl": "rtmp://***********.video.media.ntruss.com:8080/relay", "globalPublishUrl": "rtmp://***************.video.media.ntruss.com:8080/relay", "planType": "STANDARD", "createdTime": 1756175988000, "restream": [ { "id": "user002", "rtmpUrl": "rtmp://rtmp-test1234.youtube.com", "streamKey": "*************", "password": "q*****", "targetName": "YOUTUBE" } ], "platformCount": 1, "totalPublishSeconds": 0, "alertOn": false, "isPublishing": false, "alertOptions": { "alertChangeStatus": false, "alertVodUploadFail": false, "alertReStreamFail": false, "alertStreamFailOver": false }, "callbackEndpoint": "https://www.callback-endpoint.com", "envType": "REAL" } } ```